## org.eclipse.emf.databinding.edit
Interface IEMFEditListProperty

All Superinterfaces:
  IEMFEditProperty, IEMFListProperty, IEMFProperty, IListProperty, IProperty

All Known Implementing Classes:
  EMFEditListPropertyDecorator, EMFEditMultiListProperty

    public interface IEMFEditListProperty

extends IEMFEditProperty, IEMFListProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

An `IListProperty` extension interface with convenience methods for creating nested `EStructuralFeature`s

Since:
  2.5

Method Summary
`IEMFEditListProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditListProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified value nested feature.
`IEMFEditListProperty` `values(IEMFEditValueProperty property)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditListProperty` `values(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from interface org.eclipse.emf.databinding.edit.IEMFEditProperty
`getEditingDomain`

Methods inherited from interface org.eclipse.emf.databinding.IEMFProperty
`getStructuralFeature`

Methods inherited from interface org.eclipse.emf.databinding.IEMFProperty
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty
`getElementType, listFactory, listFactory, observe, observe, observeDetail, values`

Method Detail

### values

    IEMFEditListProperty values(FeaturePath featurePath)

  Returns a master-detail combination of this property and the specified value nested feature.

  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `featurePath` - the nested feature to observe
  Returns:
    a nested combination of this property and the specified nested feature.
  See Also:
    `values(IEMFEditValueProperty)`

### values

    IEMFEditListProperty values(EStructuralFeature feature)

  Returns a master-detail combination of this property and the specified value property.

  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `feature` - the feature
  Returns:
    a nested combination of this property and the specified nested feature.

### values

    IEMFEditListProperty values(IEMFEditValueProperty property)

  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this list property.

  Example:

       // Observes the list-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFListProperty children = EMFProperties
              .list(MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.PERSON_NAME);
       // Observes the names of children of a Person object.
       IEMFListProperty childrenNames = children.values(name);

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### values

    IEMFEditListProperty values(IEMFValueProperty property)

  Description copied from interface: `IEMFListProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this list property.

  Example:

       // Observes the list-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFListProperty children = EMFProperties
                      .list(MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.PERSON_NAME);
       // Observes the names of children of a Person object.
       IEMFListProperty childrenNames = children.values(name);

  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.